Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface TransactionConstants

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface TransactionConstants

Field Summary
`static String` | `ACTION_CODE` Deprecated See BEA Commerce product offering
`static String` | `ACTION_CODE_CALL` Deprecated See BEA Commerce product offering
`static String` | `AMOUNT` Deprecated See BEA Commerce product offering
`static String` | `AUTHORIZED` Deprecated See BEA Commerce product offering
`static String` | `AUTO_MARK_AUTO_SETTLE` Deprecated See BEA Commerce product offering
`static String` | `AUTO_MARK_AUTO_SETTLE_AVS` Deprecated See BEA Commerce product offering
`static String` | `AUTO_MARK_MANUAL_SETTLE` Deprecated See BEA Commerce product offering
`static String` | `AUTO_MARK_MANUAL_SETTLE_AVS` Deprecated See BEA Commerce product offering
`static String` | `BATCH_ACCEPTED` Deprecated See BEA Commerce product offering
`static String` | `BATCH_COMMIT` Deprecated See BEA Commerce product offering
`static String` | `BATCH_ID` Deprecated See BEA Commerce product offering
`static String` | `BATCH_PREP` Deprecated See BEA Commerce product offering
`static String` | `BATCH_QUERY` Deprecated See BEA Commerce product offering
`static String` | `BATCH_RETRY` Deprecated See BEA Commerce product offering
`static String` | `BATCH_STATUS` Deprecated See BEA Commerce product offering
`static String` | `BATCH_UNROLL` Deprecated See BEA Commerce product offering
`static String` | `CARD_QUERY` Deprecated See BEA Commerce product offering
`static String` | `CHECK` Deprecated See BEA Commerce product offering
`static String` | `CREDIT_CARD_ADDRESS` Deprecated See BEA Commerce product offering
`static String` | `CREDIT_CARD_ADDRESS_CITY` Deprecated See BEA Commerce product offering
`static String` | `CREDIT_CARD_ADDRESS_STATE` Deprecated See BEA Commerce product offering
`static String` | `CREDIT_CARD_ADDRESS_STREET` Deprecated See BEA Commerce product offering
`static String` | `CREDIT_CARD_ADDRESS_ZIP` Deprecated See BEA Commerce product offering
`static String` | `CREDIT_CARD_EXPIRATION_DATE` Deprecated See BEA Commerce product offering
`static String` | `CREDIT_CARD_NUMBER` Deprecated See BEA Commerce product offering
`static String` | `CREDITCARD` Deprecated See BEA Commerce product offering
`static String` | `CURRENCY_US` Deprecated See BEA Commerce product offering
`static String` | `FAILEDRETRY` Deprecated See BEA Commerce product offering
`static String` | `FAILEDSETTLE` Deprecated See BEA Commerce product offering
`static String` | `FDC_BANK_PROCESSOR_ERROR` Deprecated See BEA Commerce product offering
`static String` | `FDC_CALL` Deprecated See BEA Commerce product offering
`static String` | `FDC_DECLINED` Deprecated See BEA Commerce product offering
`static String` | `FDC_EXPIRED_CARD` Deprecated See BEA Commerce product offering
`static String` | `FDC_OUT_OF_BALANCE` Deprecated See BEA Commerce product offering
`static String` | `GPSA_BANK_PROCESSOR_ERROR` Deprecated See BEA Commerce product offering
`static String` | `GPSA_CALL1` Deprecated See BEA Commerce product offering
`static String` | `GPSA_CALL2` Deprecated See BEA Commerce product offering
`static String` | `GPSA_DECLINED` Deprecated See BEA Commerce product offering
`static String` | `GPSA_EXPIRED_CARD` Deprecated See BEA Commerce product offering
`static String` | `GPSA_INVALID_AMOUNT` Deprecated See BEA Commerce product offering
`static String` | `GPSA_INVALID_BANK_ID` Deprecated See BEA Commerce product offering
`static String` | `GPSA_INVALID_CARD_NUMBER` Deprecated See BEA Commerce product offering
`static String` | `GPSA_INVALID_MERCHANT_ID` Deprecated See BEA Commerce product offering
`static String` | `GPSA_MERCHANT_CONFIG_ERROR` Deprecated See BEA Commerce product offering
`static String` | `GPSS_BANK_PROCESSOR_ERROR` Deprecated See BEA Commerce product offering
`static String` | `GPSS_CALL1` Deprecated See BEA Commerce product offering
`static String` | `GPSS_CALL2` Deprecated See BEA Commerce product offering
`static String` | `GPSS_DECLINED` Deprecated See BEA Commerce product offering
`static String` | `GPSS_EXPIRED_CARD` Deprecated See BEA Commerce product offering
`static String` | `GPSS_FORMAT_ERROR` Deprecated See BEA Commerce product offering
`static String` | `GPSS_INVALID_AMOUNT` Deprecated See BEA Commerce product offering
`static String` | `GPSS_INVALID_CARD_NUMBER` Deprecated See BEA Commerce product offering
`static String` | `GPSS_INVALID_MERCHANT_ID` Deprecated See BEA Commerce product offering
`static String` | `GPSS_MISSING_AUTH_CODE` Deprecated See BEA Commerce product offering
`static String` | `GPSS_TRANSACTION_NOT_PERMITTED` Deprecated See BEA Commerce product offering
`static String` | `GPSS_UNKNOWN_BANK_RESPONSE` Deprecated See BEA Commerce product offering
`static String` | `HOST_AUTH_CAPTURE` Deprecated See BEA Commerce product offering
`static String` | `HOST_AUTH_CAPTURE_AVS` Deprecated See BEA Commerce product offering
`static String` | `HOST_POST_AUTH_CAPTURE` Deprecated See BEA Commerce product offering
`static String` | `HOST_POST_AUTH_CAPTURE_AVS` Deprecated See BEA Commerce product offering
`static String` | `MANUAL_AUTHORIZATION` Deprecated See BEA Commerce product offering
`static String` | `MANUAL_MARK_AUTO_SETTLE` Deprecated See BEA Commerce product offering
`static String` | `MANUAL_MARK_AUTO_SETTLE_AVS` Deprecated See BEA Commerce product offering
`static String` | `MANUAL_MARK_MANUAL_SETTLE` Deprecated See BEA Commerce product offering
`static String` | `MANUAL_MARK_MANUAL_SETTLE_AVS` Deprecated See BEA Commerce product offering
`static String` | `MARKEDFORSETTLE` Deprecated See BEA Commerce product offering
`static String` | `MAUTHCAPTURE` Deprecated See BEA Commerce product offering
`static String` | `MAUTHONLY` Deprecated See BEA Commerce product offering
`static String` | `MSTATUS` Deprecated See BEA Commerce product offering
`static String` | `MSTATUS_FAILURE_BAD_MONEY` Deprecated See BEA Commerce product offering
`static String` | `MSTATUS_FAILURE_HARD` Deprecated See BEA Commerce product offering
`static String` | `MSTATUS_FAILURE_Q_OR_CANCEL` Deprecated See BEA Commerce product offering
`static String` | `MSTATUS_FAILURE_Q_OR_DISCARD` Deprecated See BEA Commerce product offering
`static String` | `MSTATUS_FAILURE_SWVERSION` Deprecated See BEA Commerce product offering
`static String` | `MSTATUS_PARTIAL_SUCCESS` Deprecated See BEA Commerce product offering
`static String` | `MSTATUS_SUCCESS` Deprecated See BEA Commerce product offering
`static String` | `MSTATUS_SUCCESS_DUPLICATE` Deprecated See BEA Commerce product offering
`static String` | `NOVA_BANK_PROCESSOR_ERROR` Deprecated See BEA Commerce product offering
`static String` | `NOVA_CALL` Deprecated See BEA Commerce product offering
`static String` | `NOVA_DECLINED` Deprecated See BEA Commerce product offering
`static String` | `NOVA_EXPIRED_CARD` Deprecated See BEA Commerce product offering
`static String` | `NOVA_FORMAT_ERROR` Deprecated See BEA Commerce product offering
`static String` | `NOVA_INVALID_AMOUNT` Deprecated See BEA Commerce product offering
`static String` | `NOVA_INVALID_CARD_NUMBER` Deprecated See BEA Commerce product offering
`static String` | `NOVA_INVALID_MERCHANT_ID` Deprecated See BEA Commerce product offering
`static String` | `NOVA_OUT_OF_BALANCE` Deprecated See BEA Commerce product offering
`static String` | `NUMBER_OF_TRANSACTIONS` Deprecated See BEA Commerce product offering
`static String` | `ORDER_ID` Deprecated See BEA Commerce product offering
`static String` | `PASSWORD` Deprecated See BEA Commerce product offering
`static String` | `PAYMENT_SERVICES_FILE` Deprecated See BEA Commerce product offering
`static String` | `PAYMENTMODEL` Deprecated See BEA Commerce product offering
`static String` | `PAYMENTTECH_BANK_PROCESSOR_ERROR` Deprecated See BEA Commerce product offering
`static String` | `PAYMENTTECH_CALL1` Deprecated See BEA Commerce product offering
`static String` | `PAYMENTTECH_CALL2` Deprecated See BEA Commerce product offering
`static String` | `PAYMENTTECH_DECLINED` Deprecated See BEA Commerce product offering
`static String` | `PAYMENTTECH_EXPIRED_CARD` Deprecated See BEA Commerce product offering
`static String` | `PAYMENTTECH_INVALID_AMOUNT` Deprecated See BEA Commerce product offering
`static String` | `PAYMENTTECH_INVALID_CARD_NUMBER` Deprecated See BEA Commerce product offering
`static String` | `PAYMENTTECH_INVALID_MERCHANT_ID` Deprecated See BEA Commerce product offering
`static String` | `PENDINGSETTLE` Deprecated See BEA Commerce product offering
`static String` | `POSTAUTH` Deprecated See BEA Commerce product offering
`static String` | `QUERY` Deprecated See BEA Commerce product offering
`static String` | `QUERYFAILED` Deprecated See BEA Commerce product offering
`static String` | `QUERYSUCCESS` Deprecated See BEA Commerce product offering
`static String` | `REJECTED` Deprecated See BEA Commerce product offering
`static String` | `RESPONSE_CODE` Deprecated See BEA Commerce product offering
`static String` | `RETRY` Deprecated See BEA Commerce product offering
`static String` | `RETRY_C` Deprecated See BEA Commerce product offering
`static String` | `RETURN` Deprecated See BEA Commerce product offering
`static String` | `SETTLE` Deprecated See BEA Commerce product offering
`static String` | `SETTLED` Deprecated See BEA Commerce product offering
`static String` | `SETTLEFAILED` Deprecated See BEA Commerce product offering
`static String` | `SYSTEMFAILED` Deprecated See BEA Commerce product offering
`static String` | `TRANSACTION_END_TIME` Deprecated See BEA Commerce product offering
`static String` | `TRANSACTION_QUERY_HIGH_AMOUNT` Deprecated See BEA Commerce product offering
`static String` | `TRANSACTION_QUERY_LOW_AMOUNT` Deprecated See BEA Commerce product offering
`static String` | `TRANSACTION_QUERY_MAX_COUNT` Deprecated See BEA Commerce product offering
`static String` | `TRANSACTION_START_TIME` Deprecated See BEA Commerce product offering
`static String` | `TRANSACTION_STATE_MARKED` Deprecated See BEA Commerce product offering
`static String` | `TRANSACTION_STATE_MARKED_RETURN` Deprecated See BEA Commerce product offering
`static String` | `TRANSACTION_STATUS` Deprecated See BEA Commerce product offering
`static String` | `TRANSACTION_TYPE` Deprecated See BEA Commerce product offering
`static String` | `VITAL_BANK_PROCESSOR_ERROR` Deprecated See BEA Commerce product offering
`static String` | `VITAL_CALL1` Deprecated See BEA Commerce product offering
`static String` | `VITAL_CALL2` Deprecated See BEA Commerce product offering
`static String` | `VITAL_DECLINED` Deprecated See BEA Commerce product offering
`static String` | `VITAL_EXPIRED_CARD` Deprecated See BEA Commerce product offering
`static String` | `VITAL_FORMAT_ERROR` Deprecated See BEA Commerce product offering
`static String` | `VITAL_INVALID_AMOUNT` Deprecated See BEA Commerce product offering
`static String` | `VITAL_INVALID_CARD_NUMBER` Deprecated See BEA Commerce product offering
`static String` | `VITAL_INVALID_MERCHANT_ID` Deprecated See BEA Commerce product offering
`static String` | `VOID` Deprecated See BEA Commerce product offering
`static String` | `WELLS_FARGO_BANK_PROCESSOR_DATA_SOURCE_UNKNOWN` Deprecated See BEA Commerce product offering
`static String` | `WELLS_FARGO_CALL` Deprecated See BEA Commerce product offering
`static String` | `WELLS_FARGO_DECLINED` Deprecated See BEA Commerce product offering
`static String` | `WELLS_FARGO_PROCESSOR_ERROR` Deprecated See BEA Commerce product offering

Field Detail

### CREDITCARD

    static final String CREDITCARD

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CHECK

    static final String CHECK

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PAYMENTMODEL

    static final String PAYMENTMODEL

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MAUTHCAPTURE

    static final String MAUTHCAPTURE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MAUTHONLY

    static final String MAUTHONLY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### BATCH_COMMIT

    static final String BATCH_COMMIT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### BATCH_PREP

    static final String BATCH_PREP

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### BATCH_QUERY

    static final String BATCH_QUERY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### BATCH_RETRY

    static final String BATCH_RETRY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### BATCH_UNROLL

    static final String BATCH_UNROLL

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CARD_QUERY

    static final String CARD_QUERY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### POSTAUTH

    static final String POSTAUTH

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### QUERY

    static final String QUERY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### RETRY_C

    static final String RETRY_C

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### RETURN

    static final String RETURN

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### VOID

    static final String VOID

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MANUAL_AUTHORIZATION

    static final String MANUAL_AUTHORIZATION

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PAYMENT_SERVICES_FILE

    static final String PAYMENT_SERVICES_FILE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### AUTO_MARK_AUTO_SETTLE

    static final String AUTO_MARK_AUTO_SETTLE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### AUTO_MARK_AUTO_SETTLE_AVS

    static final String AUTO_MARK_AUTO_SETTLE_AVS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MANUAL_MARK_AUTO_SETTLE

    static final String MANUAL_MARK_AUTO_SETTLE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MANUAL_MARK_AUTO_SETTLE_AVS

    static final String MANUAL_MARK_AUTO_SETTLE_AVS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### AUTO_MARK_MANUAL_SETTLE

    static final String AUTO_MARK_MANUAL_SETTLE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### AUTO_MARK_MANUAL_SETTLE_AVS

    static final String AUTO_MARK_MANUAL_SETTLE_AVS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MANUAL_MARK_MANUAL_SETTLE

    static final String MANUAL_MARK_MANUAL_SETTLE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MANUAL_MARK_MANUAL_SETTLE_AVS

    static final String MANUAL_MARK_MANUAL_SETTLE_AVS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### HOST_AUTH_CAPTURE

    static final String HOST_AUTH_CAPTURE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### HOST_AUTH_CAPTURE_AVS

    static final String HOST_AUTH_CAPTURE_AVS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### HOST_POST_AUTH_CAPTURE

    static final String HOST_POST_AUTH_CAPTURE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### HOST_POST_AUTH_CAPTURE_AVS

    static final String HOST_POST_AUTH_CAPTURE_AVS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### ORDER_ID

    static final String ORDER_ID

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PASSWORD

    static final String PASSWORD

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### AMOUNT

    static final String AMOUNT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CURRENCY_US

    static final String CURRENCY_US

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CREDIT_CARD_NUMBER

    static final String CREDIT_CARD_NUMBER

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CREDIT_CARD_EXPIRATION_DATE

    static final String CREDIT_CARD_EXPIRATION_DATE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CREDIT_CARD_ADDRESS

    static final String CREDIT_CARD_ADDRESS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CREDIT_CARD_ADDRESS_STREET

    static final String CREDIT_CARD_ADDRESS_STREET

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CREDIT_CARD_ADDRESS_CITY

    static final String CREDIT_CARD_ADDRESS_CITY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CREDIT_CARD_ADDRESS_ZIP

    static final String CREDIT_CARD_ADDRESS_ZIP

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CREDIT_CARD_ADDRESS_STATE

    static final String CREDIT_CARD_ADDRESS_STATE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MSTATUS

    static final String MSTATUS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MSTATUS_SUCCESS

    static final String MSTATUS_SUCCESS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MSTATUS_SUCCESS_DUPLICATE

    static final String MSTATUS_SUCCESS_DUPLICATE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MSTATUS_PARTIAL_SUCCESS

    static final String MSTATUS_PARTIAL_SUCCESS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MSTATUS_FAILURE_HARD

    static final String MSTATUS_FAILURE_HARD

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MSTATUS_FAILURE_Q_OR_CANCEL

    static final String MSTATUS_FAILURE_Q_OR_CANCEL

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MSTATUS_FAILURE_Q_OR_DISCARD

    static final String MSTATUS_FAILURE_Q_OR_DISCARD

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MSTATUS_FAILURE_SWVERSION

    static final String MSTATUS_FAILURE_SWVERSION

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MSTATUS_FAILURE_BAD_MONEY

    static final String MSTATUS_FAILURE_BAD_MONEY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TRANSACTION_TYPE

    static final String TRANSACTION_TYPE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TRANSACTION_STATUS

    static final String TRANSACTION_STATUS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TRANSACTION_START_TIME

    static final String TRANSACTION_START_TIME

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TRANSACTION_END_TIME

    static final String TRANSACTION_END_TIME

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TRANSACTION_QUERY_LOW_AMOUNT

    static final String TRANSACTION_QUERY_LOW_AMOUNT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TRANSACTION_QUERY_HIGH_AMOUNT

    static final String TRANSACTION_QUERY_HIGH_AMOUNT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TRANSACTION_QUERY_MAX_COUNT

    static final String TRANSACTION_QUERY_MAX_COUNT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NUMBER_OF_TRANSACTIONS

    static final String NUMBER_OF_TRANSACTIONS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TRANSACTION_STATE_MARKED

    static final String TRANSACTION_STATE_MARKED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TRANSACTION_STATE_MARKED_RETURN

    static final String TRANSACTION_STATE_MARKED_RETURN

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### BATCH_ID

    static final String BATCH_ID

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### RESPONSE_CODE

    static final String RESPONSE_CODE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### BATCH_STATUS

    static final String BATCH_STATUS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### BATCH_ACCEPTED

    static final String BATCH_ACCEPTED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### AUTHORIZED

    static final String AUTHORIZED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SETTLED

    static final String SETTLED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MARKEDFORSETTLE

    static final String MARKEDFORSETTLE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PENDINGSETTLE

    static final String PENDINGSETTLE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### REJECTED

    static final String REJECTED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### FAILEDSETTLE

    static final String FAILEDSETTLE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SETTLEFAILED

    static final String SETTLEFAILED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### RETRY

    static final String RETRY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### FAILEDRETRY

    static final String FAILEDRETRY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SYSTEMFAILED

    static final String SYSTEMFAILED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### QUERYFAILED

    static final String QUERYFAILED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### QUERYSUCCESS

    static final String QUERYSUCCESS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SETTLE

    static final String SETTLE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### ACTION_CODE

    static final String ACTION_CODE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### ACTION_CODE_CALL

    static final String ACTION_CODE_CALL

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### FDC_BANK_PROCESSOR_ERROR

    static final String FDC_BANK_PROCESSOR_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### FDC_OUT_OF_BALANCE

    static final String FDC_OUT_OF_BALANCE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### FDC_DECLINED

    static final String FDC_DECLINED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### FDC_EXPIRED_CARD

    static final String FDC_EXPIRED_CARD

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### FDC_CALL

    static final String FDC_CALL

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSA_INVALID_CARD_NUMBER

    static final String GPSA_INVALID_CARD_NUMBER

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSA_EXPIRED_CARD

    static final String GPSA_EXPIRED_CARD

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSA_INVALID_MERCHANT_ID

    static final String GPSA_INVALID_MERCHANT_ID

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSA_INVALID_AMOUNT

    static final String GPSA_INVALID_AMOUNT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSA_MERCHANT_CONFIG_ERROR

    static final String GPSA_MERCHANT_CONFIG_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSA_INVALID_BANK_ID

    static final String GPSA_INVALID_BANK_ID

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSA_DECLINED

    static final String GPSA_DECLINED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSA_CALL1

    static final String GPSA_CALL1

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSA_CALL2

    static final String GPSA_CALL2

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSA_BANK_PROCESSOR_ERROR

    static final String GPSA_BANK_PROCESSOR_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSS_INVALID_MERCHANT_ID

    static final String GPSS_INVALID_MERCHANT_ID

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSS_INVALID_AMOUNT

    static final String GPSS_INVALID_AMOUNT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSS_INVALID_CARD_NUMBER

    static final String GPSS_INVALID_CARD_NUMBER

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSS_FORMAT_ERROR

    static final String GPSS_FORMAT_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSS_TRANSACTION_NOT_PERMITTED

    static final String GPSS_TRANSACTION_NOT_PERMITTED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSS_MISSING_AUTH_CODE

    static final String GPSS_MISSING_AUTH_CODE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSS_UNKNOWN_BANK_RESPONSE

    static final String GPSS_UNKNOWN_BANK_RESPONSE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSS_DECLINED

    static final String GPSS_DECLINED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSS_EXPIRED_CARD

    static final String GPSS_EXPIRED_CARD

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSS_CALL1

    static final String GPSS_CALL1

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSS_CALL2

    static final String GPSS_CALL2

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GPSS_BANK_PROCESSOR_ERROR

    static final String GPSS_BANK_PROCESSOR_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NOVA_INVALID_MERCHANT_ID

    static final String NOVA_INVALID_MERCHANT_ID

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NOVA_INVALID_AMOUNT

    static final String NOVA_INVALID_AMOUNT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NOVA_INVALID_CARD_NUMBER

    static final String NOVA_INVALID_CARD_NUMBER

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NOVA_FORMAT_ERROR

    static final String NOVA_FORMAT_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NOVA_OUT_OF_BALANCE

    static final String NOVA_OUT_OF_BALANCE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NOVA_DECLINED

    static final String NOVA_DECLINED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NOVA_EXPIRED_CARD

    static final String NOVA_EXPIRED_CARD

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NOVA_CALL

    static final String NOVA_CALL

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NOVA_BANK_PROCESSOR_ERROR

    static final String NOVA_BANK_PROCESSOR_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PAYMENTTECH_INVALID_MERCHANT_ID

    static final String PAYMENTTECH_INVALID_MERCHANT_ID

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PAYMENTTECH_INVALID_AMOUNT

    static final String PAYMENTTECH_INVALID_AMOUNT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PAYMENTTECH_INVALID_CARD_NUMBER

    static final String PAYMENTTECH_INVALID_CARD_NUMBER

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PAYMENTTECH_CALL1

    static final String PAYMENTTECH_CALL1

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PAYMENTTECH_DECLINED

    static final String PAYMENTTECH_DECLINED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PAYMENTTECH_EXPIRED_CARD

    static final String PAYMENTTECH_EXPIRED_CARD

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PAYMENTTECH_CALL2

    static final String PAYMENTTECH_CALL2

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PAYMENTTECH_BANK_PROCESSOR_ERROR

    static final String PAYMENTTECH_BANK_PROCESSOR_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### VITAL_INVALID_MERCHANT_ID

    static final String VITAL_INVALID_MERCHANT_ID

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### VITAL_INVALID_AMOUNT

    static final String VITAL_INVALID_AMOUNT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### VITAL_INVALID_CARD_NUMBER

    static final String VITAL_INVALID_CARD_NUMBER

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### VITAL_FORMAT_ERROR

    static final String VITAL_FORMAT_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### VITAL_DECLINED

    static final String VITAL_DECLINED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### VITAL_EXPIRED_CARD

    static final String VITAL_EXPIRED_CARD

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### VITAL_CALL1

    static final String VITAL_CALL1

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### VITAL_CALL2

    static final String VITAL_CALL2

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### VITAL_BANK_PROCESSOR_ERROR

    static final String VITAL_BANK_PROCESSOR_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### WELLS_FARGO_PROCESSOR_ERROR

    static final String WELLS_FARGO_PROCESSOR_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### WELLS_FARGO_DECLINED

    static final String WELLS_FARGO_DECLINED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### WELLS_FARGO_CALL

    static final String WELLS_FARGO_CALL

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### WELLS_FARGO_BANK_PROCESSOR_DATA_SOURCE_UNKNOWN

    static final String WELLS_FARGO_BANK_PROCESSOR_DATA_SOURCE_UNKNOWN

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved